import { StringOrBuffer } from './types';
import { AbstractLevelDOWN, AbstractGetOptions, AbstractOptions, ErrorCallback, ErrorValueCallback, AbstractIteratorOptions, AbstractIterator, AbstractBatch } from 'abstract-leveldown';
export declare class LevelDOWNMount<K extends StringOrBuffer = string, V = any, O = any> extends AbstractLevelDOWN<K, V> {
    _mounts: {
        [key: string]: AbstractLevelDOWN<K, V>;
    };
    constructor(root: AbstractLevelDOWN<K, V>, location?: string);
    mount(mount_loc: string, mount: AbstractLevelDOWN<K, V>): void;
    _resolve_mount(key: K): {
        mount: string;
        path: K;
    };
    _open(options: O, callback: ErrorCallback): void;
    _get(key: K, options: AbstractGetOptions, callback: ErrorValueCallback<V>): void;
    _put(key: K, val: V, options: AbstractOptions, callback: ErrorCallback): void;
    _del(key: K, options: AbstractOptions, callback: ErrorCallback): void;
    _batch(array: ReadonlyArray<AbstractBatch<K, V>>, options: AbstractOptions, cb: ErrorCallback): void;
    _iterator(options: AbstractIteratorOptions<K>): AbstractIterator<K, V>;
}
