"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const tape_it_1 = __importDefault(require("../util/tape_it"));
// Fix to annoying issue--Typescript and babel-typescript handle default imports differently
const testCommon = require('abstract-leveldown/test/common');
function AbstractLevelDOWNTestSuite(desc, LevelDOWNFactory) {
    describe(desc, () => {
        tape_it_1.default('open-test.args', (htest) => __awaiter(this, void 0, void 0, function* () {
            require('abstract-leveldown/test/open-test').args(htest, testCommon({
                test: htest,
                factory: LevelDOWNFactory,
            }));
        }));
        tape_it_1.default('open-test.open', (htest) => __awaiter(this, void 0, void 0, function* () {
            require('abstract-leveldown/test/open-test').open(htest, testCommon({
                test: htest,
                factory: LevelDOWNFactory,
            }));
        }));
        tape_it_1.default('del-test.all', (htest) => __awaiter(this, void 0, void 0, function* () {
            require('abstract-leveldown/test/del-test').all(htest, testCommon({
                test: htest,
                factory: LevelDOWNFactory,
            }));
        }));
        tape_it_1.default('get-test.all', (htest) => __awaiter(this, void 0, void 0, function* () {
            require('abstract-leveldown/test/get-test').all(htest, testCommon({
                test: htest,
                factory: LevelDOWNFactory,
            }));
        }));
        tape_it_1.default('put-test.all', (htest) => __awaiter(this, void 0, void 0, function* () {
            require('abstract-leveldown/test/put-test').all(htest, testCommon({
                test: htest,
                factory: LevelDOWNFactory,
            }));
        }));
        // tape_it('put-get-del-test.all', async (htest) => {
        //   require('abstract-leveldown/test/put-get-del-test').all(
        //     htest,
        //     testCommon({
        //       test: htest,
        //       factory: LevelDOWNFactory,
        //     })
        //   )
        // })
        // tape_it('batch-test.all', async (htest) => {
        //   require('abstract-leveldown/test/batch-test').all(
        //     htest,
        //     testCommon({
        //       test: htest,
        //       factory: LevelDOWNFactory,
        //     })
        //   )
        // })
        // tape_it('chained-batch-test.all', async (htest) => {
        //   require('abstract-leveldown/test/chained-batch-test').all(
        //     htest,
        //     testCommon({
        //       test: htest,
        //       factory: LevelDOWNFactory,
        //     })
        //   )
        // })
        tape_it_1.default('iterator-test.all', (htest) => __awaiter(this, void 0, void 0, function* () {
            require('abstract-leveldown/test/iterator-test').all(htest, testCommon({
                test: htest,
                factory: LevelDOWNFactory,
            }));
        }));
        tape_it_1.default('iterator-range-test.all', (htest) => __awaiter(this, void 0, void 0, function* () {
            require('abstract-leveldown/test/iterator-range-test').all(htest, testCommon({
                test: htest,
                factory: LevelDOWNFactory,
                bufferKeys: false,
            }));
        }));
    });
}
exports.AbstractLevelDOWNTestSuite = AbstractLevelDOWNTestSuite;
//# sourceMappingURL=abstract-leveldown-test.js.map