"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const leveldown_opts_1 = require("../util/leveldown-opts");
describe('base sanity', () => {
    it('works', () => {
        assert_1.default.deepEqual([
            'a',
            '!no_mount!b',
            '!no_mount!',
            '!mount!c',
            '!mount!',
        ].filter(leveldown_opts_1.test_from_options({
            gt: '',
            lt: '\xff',
        })), [
            'a',
            '!no_mount!b',
            '!no_mount!',
            '!mount!c',
            '!mount!',
        ]);
    });
    it('works', () => {
        assert_1.default.deepEqual([
            'a',
            '!no_mount!b',
            '!no_mount!',
            '!mount!c',
            '!mount!',
        ].filter(leveldown_opts_1.test_from_options({
            gt: '!',
            lt: '!\xff',
        })), [
            '!no_mount!b',
            '!no_mount!',
            '!mount!c',
            '!mount!',
        ]);
    });
    it('works', () => {
        assert_1.default.deepEqual([
            '',
            'a',
            '!no_mount!b',
            '!no_mount!',
            '!mount!c',
            '!mount!',
        ].filter(leveldown_opts_1.test_prefix_from_options({
            gt: '!mount!',
            lt: '!mount!\xff',
        })), [
            '',
            '!mount!c',
            '!mount!',
        ]);
    });
    it('works', () => {
        assert_1.default.deepEqual([
            '',
            'a',
            'aa',
            'c',
            'cc',
            'e',
            'ee',
            'g',
        ].filter(leveldown_opts_1.test_from_options({
            gte: 'c',
            lte: 'e',
        })), [
            'c',
            'cc',
            'e',
        ]);
    });
});
//# sourceMappingURL=base-sanity.test.js.map