/// <reference types="mocha" />
/**
 * Convert tape tests into mocha assertions!
 *
 * @example
 * tape_it('my mocha tape test assertion', function (test) {
 *   test('my tape test', function (t) {
 *     t.equal(1, 1)
 *   })
 * })
 *
 * @param desc Description of the test (like normal `it`)
 * @param func Test function accepting test harness as parameter
 * @returns Same the resulting `it` mocha construct
 */
export default function tape_it(desc: any, func: any): Mocha.Test;
